Support » Theme: Dazzling » PHP 7.0 depreaction problem

  • hi, the theme throws this 2 errors under PHP 7.0, you just need to change the constructors to__construct()

    ( ! ) Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; dazzling_popular_posts_widget has a deprecated constructor in /var/www/wordpress/wp-content/themes/dazzling/inc/widgets/widget-popular-posts.php on line 6

    MEthods with the same name as their class will not be constructors in a future version of PHP; dazzling_social_widget has a deprecated constructor in /var/www/wordpress/wp-content/themes/dazzling/inc/widgets/widget-social.php on line 7

Viewing 1 replies (of 1 total)
  • Hi Miguel Useche,

    I hope you are well today and thanks for posting here.

    It’s the known issue which will be resolved in the future version of theme. In the meanwhile you can fix it by using the solution posted in the following reply.

    Deprecated: Methods

    Best Regards,
    Movin

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.